﻿using System;

namespace StringManipulation
{
    class Program
    {
        static void Main()
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("String Manipulation Example");
            string text = "Hello, World!";

            // Convert the string to uppercase
            string uppercaseText = ConvertToUppercase(text);
            Console.WriteLine("Uppercase: " + uppercaseText);

            // Convert the string to lowercase
            string lowercaseText = ConvertToLowercase(text);
            Console.WriteLine("Lowercase: " + lowercaseText);

            // Reverse the string
            string reversedText = ReverseString(text);
            Console.WriteLine("Reversed: " + reversedText);

            // Count the number of occurrences of a specific character
            char characterToCount = 'o';
            int count = CountOccurrences(text, characterToCount);
            Console.WriteLine("Number of occurrences of '" + characterToCount + "': " + count);

            Console.ReadKey();
        }

        static string ConvertToUppercase(string text)
        {
            return text.ToUpper();
        }

        static string ConvertToLowercase(string text)
        {
            return text.ToLower();
        }

        static string ReverseString(string text)
        {
            char[] charArray = text.ToCharArray();
            Array.Reverse(charArray);
            return new string(charArray);
        }

        static int CountOccurrences(string text, char character)
        {
            int count = 0;
            foreach (char c in text)
            {
                if (c == character)
                {
                    count++;
                }
            }
            return count;
        }
    }
}